#! /bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# This directory was configured as follows,
# on host adapt02.ls.fi.upm.es:
#
# ./configure  --prefix=/home/jsalas/prueba_posgress/
#
# Compiler output produced by configure, useful for debugging
# configure, is in ./config.log if it exists.

ac_cs_usage="Usage: ./config.status [--recheck] [--version] [--help]"
for ac_option
do
  case "$ac_option" in
  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    echo "running ${CONFIG_SHELL-/bin/sh} ./configure  --prefix=/home/jsalas/prueba_posgress/ --no-create --no-recursion"
    exec ${CONFIG_SHELL-/bin/sh} ./configure  --prefix=/home/jsalas/prueba_posgress/ --no-create --no-recursion ;;
  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
    echo "./config.status generated by autoconf version 2.13"
    exit 0 ;;
  -help | --help | --hel | --he | --h)
    echo "$ac_cs_usage"; exit 0 ;;
  *) echo "$ac_cs_usage"; exit 1 ;;
  esac
done

ac_given_srcdir=.

trap 'rm -fr 
  GNUmakefile
  src/GNUmakefile
  src/Makefile.global
  src/backend/port/Makefile
 src/include/pg_config.h conftest*; exit 1' 1 2 15

# Protect against being on the right side of a sed subst in config.status.
sed 's/%@/@@/; s/@%/@@/; s/%g$/@g/; /@g$/s/[\\&%]/\\&/g;
 s/@@/%@/; s/@@/@%/; s/@g$/%g/' > conftest.subs <<\CEOF
/^[ 	]*VPATH[ 	]*=[^:]*$/d

s%@SHELL@%/bin/sh%g
s%@CFLAGS@%-O2%g
s%@CPPFLAGS@% %g
s%@CXXFLAGS@%%g
s%@FFLAGS@%%g
s%@DEFS@%-DHAVE_CONFIG_H%g
s%@LDFLAGS@% %g
s%@LIBS@%-lz -lcrypt -lresolv -lnsl -ldl -lm -lbsd -lreadline -ltermcap %g
s%@exec_prefix@%${prefix}%g
s%@prefix@%/home/jsalas/prueba_posgress/%g
s%@program_transform_name@%s,x,x,%g
s%@bindir@%${exec_prefix}/bin%g
s%@sbindir@%${exec_prefix}/sbin%g
s%@libexecdir@%${exec_prefix}/libexec%g
s%@datadir@%${prefix}/share%g
s%@sysconfdir@%${prefix}/etc%g
s%@sharedstatedir@%${prefix}/com%g
s%@localstatedir@%${prefix}/var%g
s%@libdir@%${exec_prefix}/lib%g
s%@includedir@%${prefix}/include%g
s%@oldincludedir@%/usr/include%g
s%@docdir@%${prefix}/doc%g
s%@mandir@%${prefix}/man%g
s%@VERSION@%7.2%g
s%@host@%i686-pc-linux-gnu%g
s%@host_alias@%i686-pc-linux-gnu%g
s%@host_cpu@%i686%g
s%@host_vendor@%pc%g
s%@host_os@%linux-gnu%g
s%@PORTNAME@%linux%g
s%@TAS@%%g
s%@MULTIBYTE@%%g
s%@enable_nls@%no%g
s%@WANTED_LANGUAGES@%%g
s%@default_port@%5432%g
s%@enable_shared@%yes%g
s%@enable_rpath@%yes%g
s%@CC@%gcc%g
s%@EXEEXT@%%g
s%@CPP@%gcc -E%g
s%@GCC@%yes%g
s%@autodepend@%%g
s%@INCLUDES@%%g
s%@with_tcl@%no%g
s%@with_tk@%no%g
s%@spread_lib@%%g
s%@with_perl@%no%g
s%@with_python@%no%g
s%@ANT@%%g
s%@with_java@%no%g
s%@with_krb4@%no%g
s%@with_krb5@%no%g
s%@krb_srvtab@%%g
s%@with_pam@%no%g
s%@with_openssl@%no%g
s%@enable_odbc@%no%g
s%@with_unixodbc@%no%g
s%@with_iodbc@%no%g
s%@odbcinst_ini_dir@%${sysconfdir}%g
s%@ELF_SYS@%true%g
s%@CXX@%%g
s%@CXXCPP@%%g
s%@GXX@%%g
s%@with_CXX@%no%g
s%@AWK@%gawk%g
s%@FLEX@%/usr/bin/flex%g
s%@FLEXFLAGS@%%g
s%@LN_S@%ln -s%g
s%@LD@%/usr/bin/ld%g
s%@with_gnu_ld@%yes%g
s%@ld_R_works@%%g
s%@RANLIB@%ranlib%g
s%@LORDER@%%g
s%@TAR@%/bin/tar%g
s%@YACC@%bison -y%g
s%@YFLAGS@%%g
s%@WISH@%%g
s%@PERL@%/usr/bin/perl%g
s%@perl_installsitearch@%%g
s%@perl_installsitelib@%%g
s%@perl_installman3dir@%%g
s%@PYTHON@%%g
s%@python_version@%%g
s%@python_prefix@%%g
s%@python_execprefix@%%g
s%@python_configdir@%%g
s%@python_moduledir@%%g
s%@python_moduleexecdir@%%g
s%@python_includespec@%%g
s%@python_libspec@%%g
s%@MSGFMT@%%g
s%@MSGMERGE@%%g
s%@XGETTEXT@%%g
s%@localedir@%%g
s%@MEMCMP@%%g
s%@SNPRINTF@%%g
s%@ISINF@%%g
s%@GETRUSAGE@%%g
s%@SRANDOM@%%g
s%@GETHOSTNAME@%%g
s%@MISSING_RANDOM@%%g
s%@INET_ATON@%%g
s%@STRERROR@%%g
s%@STRDUP@%%g
s%@STRTOL@%%g
s%@STRTOUL@%%g
s%@STRCASECMP@%%g
s%@HPUXMATHLIB@%%g
s%@HAVE_POSIX_SIGNALS@%yes%g
s%@TCLSH@%%g
s%@TCL_CONFIG_SH@%%g
s%@TK_CONFIG_SH@%%g
s%@NSGMLS@%onsgmls%g
s%@JADE@%openjade%g
s%@have_docbook@%yes%g
s%@DOCBOOKSTYLE@%%g
s%@SGMLSPL@%sgmlspl%g
s%@abs_top_srcdir@%%g

CEOF

# Split the substitutions into bite-sized pieces for seds with
# small command number limits, like on Digital OSF/1 and HP-UX.
ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
ac_file=1 # Number of current file.
ac_beg=1 # First line for current file.
ac_end=$ac_max_sed_cmds # Line after last line for current file.
ac_more_lines=:
ac_sed_cmds=""
while $ac_more_lines; do
  if test $ac_beg -gt 1; then
    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
  else
    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
  fi
  if test ! -s conftest.s$ac_file; then
    ac_more_lines=false
    rm -f conftest.s$ac_file
  else
    if test -z "$ac_sed_cmds"; then
      ac_sed_cmds="sed -f conftest.s$ac_file"
    else
      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
    fi
    ac_file=`expr $ac_file + 1`
    ac_beg=$ac_end
    ac_end=`expr $ac_end + $ac_max_sed_cmds`
  fi
done
if test -z "$ac_sed_cmds"; then
  ac_sed_cmds=cat
fi

CONFIG_FILES=${CONFIG_FILES-"GNUmakefile
  src/GNUmakefile
  src/Makefile.global
  src/backend/port/Makefile
"}
for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  case "$ac_file" in
  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
  *) ac_file_in="${ac_file}.in" ;;
  esac

  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.

  # Remove last slash and all that follows it.  Not all systems have dirname.
  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
    # The file is in a subdirectory.
    test ! -d "$ac_dir" && mkdir "$ac_dir"
    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
    # A "../" for each directory in $ac_dir_suffix.
    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
  else
    ac_dir_suffix= ac_dots=
  fi

  case "$ac_given_srcdir" in
  .)  srcdir=.
      if test -z "$ac_dots"; then top_srcdir=.
      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
  *) # Relative path.
    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
    top_srcdir="$ac_dots$ac_given_srcdir" ;;
  esac


  echo creating "$ac_file"
  rm -f "$ac_file"
  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
  case "$ac_file" in
  *Makefile*) ac_comsub="1i\\
# $configure_input" ;;
  *) ac_comsub= ;;
  esac

  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
  sed -e "$ac_comsub
s%@configure_input@%$configure_input%g
s%@srcdir@%$srcdir%g
s%@top_srcdir@%$top_srcdir%g
" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
fi; done
rm -f conftest.s*

# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
# NAME is the cpp macro being defined and VALUE is the value it is being given.
#
# ac_d sets the value in "#define NAME VALUE" lines.
ac_dA='s%^\([ 	]*\)#\([ 	]*define[ 	][ 	]*\)'
ac_dB='\([ 	][ 	]*\)[^ 	]*%\1#\2'
ac_dC='\3'
ac_dD='%g'
# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
ac_uA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
ac_uB='\([ 	]\)%\1#\2define\3'
ac_uC=' '
ac_uD='\4%g'
# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
ac_eA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
ac_eB='$%\1#\2define\3'
ac_eC=' '
ac_eD='%g'

if test "${CONFIG_HEADERS+set}" != set; then
  CONFIG_HEADERS="src/include/pg_config.h"
fi
for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  case "$ac_file" in
  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
  *) ac_file_in="${ac_file}.in" ;;
  esac

  echo creating $ac_file

  rm -f conftest.frag conftest.in conftest.out
  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
  cat $ac_file_inputs > conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}PG_VERSION${ac_dB}PG_VERSION${ac_dC}"7.2"${ac_dD}
${ac_uA}PG_VERSION${ac_uB}PG_VERSION${ac_uC}"7.2"${ac_uD}
${ac_eA}PG_VERSION${ac_eB}PG_VERSION${ac_eC}"7.2"${ac_eD}
${ac_dA}DEF_PGPORT${ac_dB}DEF_PGPORT${ac_dC}5432${ac_dD}
${ac_uA}DEF_PGPORT${ac_uB}DEF_PGPORT${ac_uC}5432${ac_uD}
${ac_eA}DEF_PGPORT${ac_eB}DEF_PGPORT${ac_eC}5432${ac_eD}
${ac_dA}DEF_PGPORT_STR${ac_dB}DEF_PGPORT_STR${ac_dC}"5432"${ac_dD}
${ac_uA}DEF_PGPORT_STR${ac_uB}DEF_PGPORT_STR${ac_uC}"5432"${ac_uD}
${ac_eA}DEF_PGPORT_STR${ac_eB}DEF_PGPORT_STR${ac_eC}"5432"${ac_eD}
${ac_dA}DEF_MAXBACKENDS${ac_dB}DEF_MAXBACKENDS${ac_dC}32${ac_dD}
${ac_uA}DEF_MAXBACKENDS${ac_uB}DEF_MAXBACKENDS${ac_uC}32${ac_uD}
${ac_eA}DEF_MAXBACKENDS${ac_eB}DEF_MAXBACKENDS${ac_eC}32${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}PG_VERSION_STR${ac_dB}PG_VERSION_STR${ac_dC}"PostgreSQL 7.2 on i686-pc-linux-gnu, compiled by GCC 2.96"${ac_dD}
${ac_uA}PG_VERSION_STR${ac_uB}PG_VERSION_STR${ac_uC}"PostgreSQL 7.2 on i686-pc-linux-gnu, compiled by GCC 2.96"${ac_uD}
${ac_eA}PG_VERSION_STR${ac_eB}PG_VERSION_STR${ac_eC}"PostgreSQL 7.2 on i686-pc-linux-gnu, compiled by GCC 2.96"${ac_eD}
${ac_dA}PG_KRB_SRVNAM${ac_dB}PG_KRB_SRVNAM${ac_dC}"postgres"${ac_dD}
${ac_uA}PG_KRB_SRVNAM${ac_uB}PG_KRB_SRVNAM${ac_uC}"postgres"${ac_uD}
${ac_eA}PG_KRB_SRVNAM${ac_eB}PG_KRB_SRVNAM${ac_eC}"postgres"${ac_eD}
${ac_dA}HAVE_LIBREADLINE${ac_dB}HAVE_LIBREADLINE${ac_dC}1${ac_dD}
${ac_uA}HAVE_LIBREADLINE${ac_uB}HAVE_LIBREADLINE${ac_uC}1${ac_uD}
${ac_eA}HAVE_LIBREADLINE${ac_eB}HAVE_LIBREADLINE${ac_eC}1${ac_eD}
${ac_dA}HAVE_HISTORY_FUNCTIONS${ac_dB}HAVE_HISTORY_FUNCTIONS${ac_dC}1${ac_dD}
${ac_uA}HAVE_HISTORY_FUNCTIONS${ac_uB}HAVE_HISTORY_FUNCTIONS${ac_uC}1${ac_uD}
${ac_eA}HAVE_HISTORY_FUNCTIONS${ac_eB}HAVE_HISTORY_FUNCTIONS${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_LIBBSD${ac_dB}HAVE_LIBBSD${ac_dC}1${ac_dD}
${ac_uA}HAVE_LIBBSD${ac_uB}HAVE_LIBBSD${ac_uC}1${ac_uD}
${ac_eA}HAVE_LIBBSD${ac_eB}HAVE_LIBBSD${ac_eC}1${ac_eD}
${ac_dA}HAVE_LIBM${ac_dB}HAVE_LIBM${ac_dC}1${ac_dD}
${ac_uA}HAVE_LIBM${ac_uB}HAVE_LIBM${ac_uC}1${ac_uD}
${ac_eA}HAVE_LIBM${ac_eB}HAVE_LIBM${ac_eC}1${ac_eD}
${ac_dA}HAVE_LIBDL${ac_dB}HAVE_LIBDL${ac_dC}1${ac_dD}
${ac_uA}HAVE_LIBDL${ac_uB}HAVE_LIBDL${ac_uC}1${ac_uD}
${ac_eA}HAVE_LIBDL${ac_eB}HAVE_LIBDL${ac_eC}1${ac_eD}
${ac_dA}HAVE_LIBNSL${ac_dB}HAVE_LIBNSL${ac_dC}1${ac_dD}
${ac_uA}HAVE_LIBNSL${ac_uB}HAVE_LIBNSL${ac_uC}1${ac_uD}
${ac_eA}HAVE_LIBNSL${ac_eB}HAVE_LIBNSL${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_LIBRESOLV${ac_dB}HAVE_LIBRESOLV${ac_dC}1${ac_dD}
${ac_uA}HAVE_LIBRESOLV${ac_uB}HAVE_LIBRESOLV${ac_uC}1${ac_uD}
${ac_eA}HAVE_LIBRESOLV${ac_eB}HAVE_LIBRESOLV${ac_eC}1${ac_eD}
${ac_dA}HAVE_LIBZ${ac_dB}HAVE_LIBZ${ac_dC}1${ac_dD}
${ac_uA}HAVE_LIBZ${ac_uB}HAVE_LIBZ${ac_uC}1${ac_uD}
${ac_eA}HAVE_LIBZ${ac_eB}HAVE_LIBZ${ac_eC}1${ac_eD}
${ac_dA}HAVE_CRYPT_H${ac_dB}HAVE_CRYPT_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_CRYPT_H${ac_uB}HAVE_CRYPT_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_CRYPT_H${ac_eB}HAVE_CRYPT_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_ENDIAN_H${ac_dB}HAVE_ENDIAN_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_ENDIAN_H${ac_uB}HAVE_ENDIAN_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_ENDIAN_H${ac_eB}HAVE_ENDIAN_H${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_GETOPT_H${ac_dB}HAVE_GETOPT_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_GETOPT_H${ac_uB}HAVE_GETOPT_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_GETOPT_H${ac_eB}HAVE_GETOPT_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_PWD_H${ac_dB}HAVE_PWD_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_PWD_H${ac_uB}HAVE_PWD_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_PWD_H${ac_eB}HAVE_PWD_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_SYS_IPC_H${ac_dB}HAVE_SYS_IPC_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_SYS_IPC_H${ac_uB}HAVE_SYS_IPC_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_SYS_IPC_H${ac_eB}HAVE_SYS_IPC_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_SYS_SELECT_H${ac_dB}HAVE_SYS_SELECT_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_SYS_SELECT_H${ac_uB}HAVE_SYS_SELECT_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_SYS_SELECT_H${ac_eB}HAVE_SYS_SELECT_H${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_SYS_SEM_H${ac_dB}HAVE_SYS_SEM_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_SYS_SEM_H${ac_uB}HAVE_SYS_SEM_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_SYS_SEM_H${ac_eB}HAVE_SYS_SEM_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_SYS_SOCKET_H${ac_dB}HAVE_SYS_SOCKET_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_SYS_SOCKET_H${ac_uB}HAVE_SYS_SOCKET_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_SYS_SOCKET_H${ac_eB}HAVE_SYS_SOCKET_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_SYS_SHM_H${ac_dB}HAVE_SYS_SHM_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_SYS_SHM_H${ac_uB}HAVE_SYS_SHM_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_SYS_SHM_H${ac_eB}HAVE_SYS_SHM_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_SYS_TYPES_H${ac_eB}HAVE_SYS_TYPES_H${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_SYS_UN_H${ac_dB}HAVE_SYS_UN_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_SYS_UN_H${ac_uB}HAVE_SYS_UN_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_SYS_UN_H${ac_eB}HAVE_SYS_UN_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_TERMIOS_H${ac_dB}HAVE_TERMIOS_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_TERMIOS_H${ac_uB}HAVE_TERMIOS_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_TERMIOS_H${ac_eB}HAVE_TERMIOS_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_NETINET_IN_H${ac_dB}HAVE_NETINET_IN_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_NETINET_IN_H${ac_uB}HAVE_NETINET_IN_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_NETINET_IN_H${ac_eB}HAVE_NETINET_IN_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_NETINET_TCP_H${ac_dB}HAVE_NETINET_TCP_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_NETINET_TCP_H${ac_uB}HAVE_NETINET_TCP_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_NETINET_TCP_H${ac_eB}HAVE_NETINET_TCP_H${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}STRING_H_WITH_STRINGS_H${ac_dB}STRING_H_WITH_STRINGS_H${ac_dC}1${ac_dD}
${ac_uA}STRING_H_WITH_STRINGS_H${ac_uB}STRING_H_WITH_STRINGS_H${ac_uC}1${ac_uD}
${ac_eA}STRING_H_WITH_STRINGS_H${ac_eB}STRING_H_WITH_STRINGS_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_READLINE_READLINE_H${ac_dB}HAVE_READLINE_READLINE_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_READLINE_READLINE_H${ac_uB}HAVE_READLINE_READLINE_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_READLINE_READLINE_H${ac_eB}HAVE_READLINE_READLINE_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_READLINE_HISTORY_H${ac_dB}HAVE_READLINE_HISTORY_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_READLINE_HISTORY_H${ac_uB}HAVE_READLINE_HISTORY_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_READLINE_HISTORY_H${ac_eB}HAVE_READLINE_HISTORY_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_STRINGIZE${ac_dB}HAVE_STRINGIZE${ac_dC}1${ac_dD}
${ac_uA}HAVE_STRINGIZE${ac_uB}HAVE_STRINGIZE${ac_uC}1${ac_uD}
${ac_eA}HAVE_STRINGIZE${ac_eB}HAVE_STRINGIZE${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_TM_ZONE${ac_dB}HAVE_TM_ZONE${ac_dC}1${ac_dD}
${ac_uA}HAVE_TM_ZONE${ac_uB}HAVE_TM_ZONE${ac_uC}1${ac_uD}
${ac_eA}HAVE_TM_ZONE${ac_eB}HAVE_TM_ZONE${ac_eC}1${ac_eD}
${ac_dA}HAVE_STRUCT_SOCKADDR_UN${ac_dB}HAVE_STRUCT_SOCKADDR_UN${ac_dC}1${ac_dD}
${ac_uA}HAVE_STRUCT_SOCKADDR_UN${ac_uB}HAVE_STRUCT_SOCKADDR_UN${ac_uC}1${ac_uD}
${ac_eA}HAVE_STRUCT_SOCKADDR_UN${ac_eB}HAVE_STRUCT_SOCKADDR_UN${ac_eC}1${ac_eD}
${ac_dA}HAVE_INT_TIMEZONE${ac_dB}HAVE_INT_TIMEZONE${ac_dC}${ac_dD}
${ac_uA}HAVE_INT_TIMEZONE${ac_uB}HAVE_INT_TIMEZONE${ac_uC}${ac_uD}
${ac_eA}HAVE_INT_TIMEZONE${ac_eB}HAVE_INT_TIMEZONE${ac_eC}${ac_eD}
${ac_dA}ACCEPT_TYPE_ARG1${ac_dB}ACCEPT_TYPE_ARG1${ac_dC}int${ac_dD}
${ac_uA}ACCEPT_TYPE_ARG1${ac_uB}ACCEPT_TYPE_ARG1${ac_uC}int${ac_uD}
${ac_eA}ACCEPT_TYPE_ARG1${ac_eB}ACCEPT_TYPE_ARG1${ac_eC}int${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}ACCEPT_TYPE_ARG2${ac_dB}ACCEPT_TYPE_ARG2${ac_dC}struct sockaddr *${ac_dD}
${ac_uA}ACCEPT_TYPE_ARG2${ac_uB}ACCEPT_TYPE_ARG2${ac_uC}struct sockaddr *${ac_uD}
${ac_eA}ACCEPT_TYPE_ARG2${ac_eB}ACCEPT_TYPE_ARG2${ac_eC}struct sockaddr *${ac_eD}
${ac_dA}ACCEPT_TYPE_ARG3${ac_dB}ACCEPT_TYPE_ARG3${ac_dC}size_t${ac_dD}
${ac_uA}ACCEPT_TYPE_ARG3${ac_uB}ACCEPT_TYPE_ARG3${ac_uC}size_t${ac_uD}
${ac_eA}ACCEPT_TYPE_ARG3${ac_eB}ACCEPT_TYPE_ARG3${ac_eC}size_t${ac_eD}
${ac_dA}HAVE_FCVT${ac_dB}HAVE_FCVT${ac_dC}1${ac_dD}
${ac_uA}HAVE_FCVT${ac_uB}HAVE_FCVT${ac_uC}1${ac_uD}
${ac_eA}HAVE_FCVT${ac_eB}HAVE_FCVT${ac_eC}1${ac_eD}
${ac_dA}HAVE_GETOPT_LONG${ac_dB}HAVE_GETOPT_LONG${ac_dC}1${ac_dD}
${ac_uA}HAVE_GETOPT_LONG${ac_uB}HAVE_GETOPT_LONG${ac_uC}1${ac_uD}
${ac_eA}HAVE_GETOPT_LONG${ac_eB}HAVE_GETOPT_LONG${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_MEMMOVE${ac_dB}HAVE_MEMMOVE${ac_dC}1${ac_dD}
${ac_uA}HAVE_MEMMOVE${ac_uB}HAVE_MEMMOVE${ac_uC}1${ac_uD}
${ac_eA}HAVE_MEMMOVE${ac_eB}HAVE_MEMMOVE${ac_eC}1${ac_eD}
${ac_dA}HAVE_SETSID${ac_dB}HAVE_SETSID${ac_dC}1${ac_dD}
${ac_uA}HAVE_SETSID${ac_uB}HAVE_SETSID${ac_uC}1${ac_uD}
${ac_eA}HAVE_SETSID${ac_eB}HAVE_SETSID${ac_eC}1${ac_eD}
${ac_dA}HAVE_SIGPROCMASK${ac_dB}HAVE_SIGPROCMASK${ac_dC}1${ac_dD}
${ac_uA}HAVE_SIGPROCMASK${ac_uB}HAVE_SIGPROCMASK${ac_uC}1${ac_uD}
${ac_eA}HAVE_SIGPROCMASK${ac_eB}HAVE_SIGPROCMASK${ac_eC}1${ac_eD}
${ac_dA}HAVE_SYSCONF${ac_dB}HAVE_SYSCONF${ac_dC}1${ac_dD}
${ac_uA}HAVE_SYSCONF${ac_uB}HAVE_SYSCONF${ac_uC}1${ac_uD}
${ac_eA}HAVE_SYSCONF${ac_eB}HAVE_SYSCONF${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_WAITPID${ac_dB}HAVE_WAITPID${ac_dC}1${ac_dD}
${ac_uA}HAVE_WAITPID${ac_uB}HAVE_WAITPID${ac_uC}1${ac_uD}
${ac_eA}HAVE_WAITPID${ac_eB}HAVE_WAITPID${ac_eC}1${ac_eD}
${ac_dA}HAVE_DLOPEN${ac_dB}HAVE_DLOPEN${ac_dC}1${ac_dD}
${ac_uA}HAVE_DLOPEN${ac_uB}HAVE_DLOPEN${ac_uC}1${ac_uD}
${ac_eA}HAVE_DLOPEN${ac_eB}HAVE_DLOPEN${ac_eC}1${ac_eD}
${ac_dA}HAVE_FDATASYNC${ac_dB}HAVE_FDATASYNC${ac_dC}1${ac_dD}
${ac_uA}HAVE_FDATASYNC${ac_uB}HAVE_FDATASYNC${ac_uC}1${ac_uD}
${ac_eA}HAVE_FDATASYNC${ac_eB}HAVE_FDATASYNC${ac_eC}1${ac_eD}
${ac_dA}HAVE_FDATASYNC_DECL${ac_dB}HAVE_FDATASYNC_DECL${ac_dC}1${ac_dD}
${ac_uA}HAVE_FDATASYNC_DECL${ac_uB}HAVE_FDATASYNC_DECL${ac_uC}1${ac_uD}
${ac_eA}HAVE_FDATASYNC_DECL${ac_eB}HAVE_FDATASYNC_DECL${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_SNPRINTF${ac_dB}HAVE_SNPRINTF${ac_dC}1${ac_dD}
${ac_uA}HAVE_SNPRINTF${ac_uB}HAVE_SNPRINTF${ac_uC}1${ac_uD}
${ac_eA}HAVE_SNPRINTF${ac_eB}HAVE_SNPRINTF${ac_eC}1${ac_eD}
${ac_dA}HAVE_VSNPRINTF${ac_dB}HAVE_VSNPRINTF${ac_dC}1${ac_dD}
${ac_uA}HAVE_VSNPRINTF${ac_uB}HAVE_VSNPRINTF${ac_uC}1${ac_uD}
${ac_eA}HAVE_VSNPRINTF${ac_eB}HAVE_VSNPRINTF${ac_eC}1${ac_eD}
${ac_dA}HAVE_SNPRINTF_DECL${ac_dB}HAVE_SNPRINTF_DECL${ac_dC}1${ac_dD}
${ac_uA}HAVE_SNPRINTF_DECL${ac_uB}HAVE_SNPRINTF_DECL${ac_uC}1${ac_uD}
${ac_eA}HAVE_SNPRINTF_DECL${ac_eB}HAVE_SNPRINTF_DECL${ac_eC}1${ac_eD}
${ac_dA}HAVE_VSNPRINTF_DECL${ac_dB}HAVE_VSNPRINTF_DECL${ac_dC}1${ac_dD}
${ac_uA}HAVE_VSNPRINTF_DECL${ac_uB}HAVE_VSNPRINTF_DECL${ac_uC}1${ac_uD}
${ac_eA}HAVE_VSNPRINTF_DECL${ac_eB}HAVE_VSNPRINTF_DECL${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_ISINF${ac_dB}HAVE_ISINF${ac_dC}1${ac_dD}
${ac_uA}HAVE_ISINF${ac_uB}HAVE_ISINF${ac_uC}1${ac_uD}
${ac_eA}HAVE_ISINF${ac_eB}HAVE_ISINF${ac_eC}1${ac_eD}
${ac_dA}HAVE_GETRUSAGE${ac_dB}HAVE_GETRUSAGE${ac_dC}1${ac_dD}
${ac_uA}HAVE_GETRUSAGE${ac_uB}HAVE_GETRUSAGE${ac_uC}1${ac_uD}
${ac_eA}HAVE_GETRUSAGE${ac_eB}HAVE_GETRUSAGE${ac_eC}1${ac_eD}
${ac_dA}HAVE_SRANDOM${ac_dB}HAVE_SRANDOM${ac_dC}1${ac_dD}
${ac_uA}HAVE_SRANDOM${ac_uB}HAVE_SRANDOM${ac_uC}1${ac_uD}
${ac_eA}HAVE_SRANDOM${ac_eB}HAVE_SRANDOM${ac_eC}1${ac_eD}
${ac_dA}HAVE_GETHOSTNAME${ac_dB}HAVE_GETHOSTNAME${ac_dC}1${ac_dD}
${ac_uA}HAVE_GETHOSTNAME${ac_uB}HAVE_GETHOSTNAME${ac_uC}1${ac_uD}
${ac_eA}HAVE_GETHOSTNAME${ac_eB}HAVE_GETHOSTNAME${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_RANDOM${ac_dB}HAVE_RANDOM${ac_dC}1${ac_dD}
${ac_uA}HAVE_RANDOM${ac_uB}HAVE_RANDOM${ac_uC}1${ac_uD}
${ac_eA}HAVE_RANDOM${ac_eB}HAVE_RANDOM${ac_eC}1${ac_eD}
${ac_dA}HAVE_INET_ATON${ac_dB}HAVE_INET_ATON${ac_dC}1${ac_dD}
${ac_uA}HAVE_INET_ATON${ac_uB}HAVE_INET_ATON${ac_uC}1${ac_uD}
${ac_eA}HAVE_INET_ATON${ac_eB}HAVE_INET_ATON${ac_eC}1${ac_eD}
${ac_dA}HAVE_STRERROR${ac_dB}HAVE_STRERROR${ac_dC}1${ac_dD}
${ac_uA}HAVE_STRERROR${ac_uB}HAVE_STRERROR${ac_uC}1${ac_uD}
${ac_eA}HAVE_STRERROR${ac_eB}HAVE_STRERROR${ac_eC}1${ac_eD}
${ac_dA}HAVE_STRDUP${ac_dB}HAVE_STRDUP${ac_dC}1${ac_dD}
${ac_uA}HAVE_STRDUP${ac_uB}HAVE_STRDUP${ac_uC}1${ac_uD}
${ac_eA}HAVE_STRDUP${ac_eB}HAVE_STRDUP${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_STRTOL${ac_dB}HAVE_STRTOL${ac_dC}1${ac_dD}
${ac_uA}HAVE_STRTOL${ac_uB}HAVE_STRTOL${ac_uC}1${ac_uD}
${ac_eA}HAVE_STRTOL${ac_eB}HAVE_STRTOL${ac_eC}1${ac_eD}
${ac_dA}HAVE_STRTOUL${ac_dB}HAVE_STRTOUL${ac_dC}1${ac_dD}
${ac_uA}HAVE_STRTOUL${ac_uB}HAVE_STRTOUL${ac_uC}1${ac_uD}
${ac_eA}HAVE_STRTOUL${ac_eB}HAVE_STRTOUL${ac_eC}1${ac_eD}
${ac_dA}HAVE_STRCASECMP${ac_dB}HAVE_STRCASECMP${ac_dC}1${ac_dD}
${ac_uA}HAVE_STRCASECMP${ac_uB}HAVE_STRCASECMP${ac_uC}1${ac_uD}
${ac_eA}HAVE_STRCASECMP${ac_eB}HAVE_STRCASECMP${ac_eC}1${ac_eD}
${ac_dA}HAVE_CBRT${ac_dB}HAVE_CBRT${ac_dC}1${ac_dD}
${ac_uA}HAVE_CBRT${ac_uB}HAVE_CBRT${ac_uC}1${ac_uD}
${ac_eA}HAVE_CBRT${ac_eB}HAVE_CBRT${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_RINT${ac_dB}HAVE_RINT${ac_dC}1${ac_dD}
${ac_uA}HAVE_RINT${ac_uB}HAVE_RINT${ac_uC}1${ac_uD}
${ac_eA}HAVE_RINT${ac_eB}HAVE_RINT${ac_eC}1${ac_eD}
${ac_dA}HAVE_RL_COMPLETION_APPEND_CHARACTER${ac_dB}HAVE_RL_COMPLETION_APPEND_CHARACTER${ac_dC}1${ac_dD}
${ac_uA}HAVE_RL_COMPLETION_APPEND_CHARACTER${ac_uB}HAVE_RL_COMPLETION_APPEND_CHARACTER${ac_uC}1${ac_uD}
${ac_eA}HAVE_RL_COMPLETION_APPEND_CHARACTER${ac_eB}HAVE_RL_COMPLETION_APPEND_CHARACTER${ac_eC}1${ac_eD}
${ac_dA}HAVE_RL_COMPLETION_MATCHES${ac_dB}HAVE_RL_COMPLETION_MATCHES${ac_dC}1${ac_dD}
${ac_uA}HAVE_RL_COMPLETION_MATCHES${ac_uB}HAVE_RL_COMPLETION_MATCHES${ac_uC}1${ac_uD}
${ac_eA}HAVE_RL_COMPLETION_MATCHES${ac_eB}HAVE_RL_COMPLETION_MATCHES${ac_eC}1${ac_eD}
${ac_dA}HAVE_RL_FILENAME_COMPLETION_FUNCTION${ac_dB}HAVE_RL_FILENAME_COMPLETION_FUNCTION${ac_dC}1${ac_dD}
${ac_uA}HAVE_RL_FILENAME_COMPLETION_FUNCTION${ac_uB}HAVE_RL_FILENAME_COMPLETION_FUNCTION${ac_uC}1${ac_uD}
${ac_eA}HAVE_RL_FILENAME_COMPLETION_FUNCTION${ac_eB}HAVE_RL_FILENAME_COMPLETION_FUNCTION${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_FINITE${ac_dB}HAVE_FINITE${ac_dC}1${ac_dD}
${ac_uA}HAVE_FINITE${ac_uB}HAVE_FINITE${ac_uC}1${ac_uD}
${ac_eA}HAVE_FINITE${ac_eB}HAVE_FINITE${ac_eC}1${ac_eD}
${ac_dA}HAVE_SIGSETJMP${ac_dB}HAVE_SIGSETJMP${ac_dC}1${ac_dD}
${ac_uA}HAVE_SIGSETJMP${ac_uB}HAVE_SIGSETJMP${ac_uC}1${ac_uD}
${ac_eA}HAVE_SIGSETJMP${ac_eB}HAVE_SIGSETJMP${ac_eC}1${ac_eD}
${ac_dA}HAVE_LONG_LONG_INT_64${ac_dB}HAVE_LONG_LONG_INT_64${ac_dC}${ac_dD}
${ac_uA}HAVE_LONG_LONG_INT_64${ac_uB}HAVE_LONG_LONG_INT_64${ac_uC}${ac_uD}
${ac_eA}HAVE_LONG_LONG_INT_64${ac_eB}HAVE_LONG_LONG_INT_64${ac_eC}${ac_eD}
${ac_dA}HAVE_LL_CONSTANTS${ac_dB}HAVE_LL_CONSTANTS${ac_dC}1${ac_dD}
${ac_uA}HAVE_LL_CONSTANTS${ac_uB}HAVE_LL_CONSTANTS${ac_uC}1${ac_uD}
${ac_eA}HAVE_LL_CONSTANTS${ac_eB}HAVE_LL_CONSTANTS${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}INT64_FORMAT${ac_dB}INT64_FORMAT${ac_dC}"\\%lld"${ac_dD}
${ac_uA}INT64_FORMAT${ac_uB}INT64_FORMAT${ac_uC}"\\%lld"${ac_uD}
${ac_eA}INT64_FORMAT${ac_eB}INT64_FORMAT${ac_eC}"\\%lld"${ac_eD}
${ac_dA}HAVE_STRTOLL${ac_dB}HAVE_STRTOLL${ac_dC}1${ac_dD}
${ac_uA}HAVE_STRTOLL${ac_uB}HAVE_STRTOLL${ac_uC}1${ac_uD}
${ac_eA}HAVE_STRTOLL${ac_eB}HAVE_STRTOLL${ac_eC}1${ac_eD}
${ac_dA}HAVE_STRTOULL${ac_dB}HAVE_STRTOULL${ac_dC}1${ac_dD}
${ac_uA}HAVE_STRTOULL${ac_uB}HAVE_STRTOULL${ac_uC}1${ac_uD}
${ac_eA}HAVE_STRTOULL${ac_eB}HAVE_STRTOULL${ac_eC}1${ac_eD}
${ac_dA}HAVE_ATEXIT${ac_dB}HAVE_ATEXIT${ac_dC}1${ac_dD}
${ac_uA}HAVE_ATEXIT${ac_uB}HAVE_ATEXIT${ac_uC}1${ac_uD}
${ac_eA}HAVE_ATEXIT${ac_eB}HAVE_ATEXIT${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}SIZEOF_UNSIGNED_LONG${ac_dB}SIZEOF_UNSIGNED_LONG${ac_dC}4${ac_dD}
${ac_uA}SIZEOF_UNSIGNED_LONG${ac_uB}SIZEOF_UNSIGNED_LONG${ac_uC}4${ac_uD}
${ac_eA}SIZEOF_UNSIGNED_LONG${ac_eB}SIZEOF_UNSIGNED_LONG${ac_eC}4${ac_eD}
${ac_dA}SIZEOF_DATUM${ac_dB}SIZEOF_DATUM${ac_dC}4${ac_dD}
${ac_uA}SIZEOF_DATUM${ac_uB}SIZEOF_DATUM${ac_uC}4${ac_uD}
${ac_eA}SIZEOF_DATUM${ac_eB}SIZEOF_DATUM${ac_eC}4${ac_eD}
${ac_dA}ALIGNOF_SHORT${ac_dB}ALIGNOF_SHORT${ac_dC}2${ac_dD}
${ac_uA}ALIGNOF_SHORT${ac_uB}ALIGNOF_SHORT${ac_uC}2${ac_uD}
${ac_eA}ALIGNOF_SHORT${ac_eB}ALIGNOF_SHORT${ac_eC}2${ac_eD}
${ac_dA}ALIGNOF_INT${ac_dB}ALIGNOF_INT${ac_dC}4${ac_dD}
${ac_uA}ALIGNOF_INT${ac_uB}ALIGNOF_INT${ac_uC}4${ac_uD}
${ac_eA}ALIGNOF_INT${ac_eB}ALIGNOF_INT${ac_eC}4${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}ALIGNOF_LONG${ac_dB}ALIGNOF_LONG${ac_dC}4${ac_dD}
${ac_uA}ALIGNOF_LONG${ac_uB}ALIGNOF_LONG${ac_uC}4${ac_uD}
${ac_eA}ALIGNOF_LONG${ac_eB}ALIGNOF_LONG${ac_eC}4${ac_eD}
${ac_dA}ALIGNOF_LONG_LONG_INT${ac_dB}ALIGNOF_LONG_LONG_INT${ac_dC}4${ac_dD}
${ac_uA}ALIGNOF_LONG_LONG_INT${ac_uB}ALIGNOF_LONG_LONG_INT${ac_uC}4${ac_uD}
${ac_eA}ALIGNOF_LONG_LONG_INT${ac_eB}ALIGNOF_LONG_LONG_INT${ac_eC}4${ac_eD}
${ac_dA}ALIGNOF_DOUBLE${ac_dB}ALIGNOF_DOUBLE${ac_dC}4${ac_dD}
${ac_uA}ALIGNOF_DOUBLE${ac_uB}ALIGNOF_DOUBLE${ac_uC}4${ac_uD}
${ac_eA}ALIGNOF_DOUBLE${ac_eB}ALIGNOF_DOUBLE${ac_eC}4${ac_eD}
${ac_dA}MAXIMUM_ALIGNOF${ac_dB}MAXIMUM_ALIGNOF${ac_dC}4${ac_dD}
${ac_uA}MAXIMUM_ALIGNOF${ac_uB}MAXIMUM_ALIGNOF${ac_uC}4${ac_uD}
${ac_eA}MAXIMUM_ALIGNOF${ac_eB}MAXIMUM_ALIGNOF${ac_eC}4${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_SIG_ATOMIC_T${ac_dB}HAVE_SIG_ATOMIC_T${ac_dC}1${ac_dD}
${ac_uA}HAVE_SIG_ATOMIC_T${ac_uB}HAVE_SIG_ATOMIC_T${ac_uC}1${ac_uD}
${ac_eA}HAVE_SIG_ATOMIC_T${ac_eB}HAVE_SIG_ATOMIC_T${ac_eC}1${ac_eD}
${ac_dA}HAVE_POSIX_SIGNALS${ac_dB}HAVE_POSIX_SIGNALS${ac_dC}${ac_dD}
${ac_uA}HAVE_POSIX_SIGNALS${ac_uB}HAVE_POSIX_SIGNALS${ac_uC}${ac_uD}
${ac_eA}HAVE_POSIX_SIGNALS${ac_eB}HAVE_POSIX_SIGNALS${ac_eC}${ac_eD}
s%^[ 	]*#[ 	]*undef[ 	][ 	]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  rm -f conftest.frag conftest.h
  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
  cat conftest.in >> conftest.h
  rm -f conftest.in
  if cmp -s $ac_file conftest.h 2>/dev/null; then
    echo "$ac_file is unchanged"
    rm -f conftest.h
  else
    # Remove last slash and all that follows it.  Not all systems have dirname.
      ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
      if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
      # The file is in a subdirectory.
      test ! -d "$ac_dir" && mkdir "$ac_dir"
    fi
    rm -f $ac_file
    mv conftest.h $ac_file
  fi
fi; done

ac_sources="src/backend/port/dynloader/linux.c src/backend/port/dynloader/linux.h src/include/port/linux.h src/makefiles/Makefile.linux src/backend/port/tas/dummy.s"
ac_dests="src/backend/port/dynloader.c src/include/dynloader.h src/include/pg_config_os.h src/Makefile.port src/backend/port/tas.s"
srcdir=$ac_given_srcdir
while test -n "$ac_sources"; do
  set $ac_dests; ac_dest=$1; shift; ac_dests=$*
  set $ac_sources; ac_source=$1; shift; ac_sources=$*

  echo "linking $srcdir/$ac_source to $ac_dest"

  if test ! -r $srcdir/$ac_source; then
    { echo "configure: error: $srcdir/$ac_source: File not found" 1>&2; exit 1; }
  fi
  rm -f $ac_dest

  # Make relative symlinks.
  # Remove last slash and all that follows it.  Not all systems have dirname.
  ac_dest_dir=`echo $ac_dest|sed 's%/[^/][^/]*$%%'`
  if test "$ac_dest_dir" != "$ac_dest" && test "$ac_dest_dir" != .; then
    # The dest file is in a subdirectory.
    test ! -d "$ac_dest_dir" && mkdir "$ac_dest_dir"
    ac_dest_dir_suffix="/`echo $ac_dest_dir|sed 's%^\./%%'`"
    # A "../" for each directory in $ac_dest_dir_suffix.
    ac_dots=`echo $ac_dest_dir_suffix|sed 's%/[^/]*%../%g'`
  else
    ac_dest_dir_suffix= ac_dots=
  fi

  case "$srcdir" in
  [/$]*) ac_rel_source="$srcdir/$ac_source" ;;
  *) ac_rel_source="$ac_dots$srcdir/$ac_source" ;;
  esac

  # Make a symlink if possible; otherwise try a hard link.
  if ln -s $ac_rel_source $ac_dest 2>/dev/null ||
    ln $srcdir/$ac_source $ac_dest; then :
  else
    { echo "configure: error: can not link $ac_dest to $srcdir/$ac_source" 1>&2; exit 1; }
  fi
done


# Update timestamp for pg_config.h (see Makefile.global)
test x"$CONFIG_HEADERS" != x"" && echo >src/include/stamp-h

exit 0
